#
#   config.make.in
#
#   All of the settings required by the makefile package
#   that are determined by configure.
#
#   Copyright (C) 1997 Free Software Foundation, Inc.
#
#   Author:  Scott Christley <scottc@net-community.com>
#   Author:  Ovidiu Predescu <ovidiu@net-community.com>
#   Java additions by Lyndon Tremblay <ltremblay@mezzanine.xnot.com>
#
#   This file is part of the GNUstep Makefile Package.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#
# Binary and compile tools
#
CC      = gcc
OPTFLAG = -g -O2

EXEEXT = 
OEXT   = .o
LIBEXT = .a
RESEXT = .res
RCEXT  = .rc

LN_S = ln -s

LD = $(CC)
LDOUT =
LDFLAGS =  

AR      = ar
AROUT   =
ARFLAGS = rc
RANLIB  = ranlib

RC      = @RC@
DLLTOOL = 

YACC            = yacc
BISON           = bison
FLEX            = flex
LEX             = lex

INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
TAR		= tar
MKDIRS		= $(GNUSTEP_MAKEFILES)/mkinstalldirs

# Version information
GNUSTEP_VERSION_DEFINE = -DGNUSTEP_VERSION=0.6.5 \
	-DGNUSTEP_MAJOR_VERSION=0 \
	-DGNUSTEP_MINOR_VERSION=6

# The default library combination
default_library_combo = gnu-gnu-gnu-xgps

#
# Do threading stuff.
#
ifndef objc_threaded
  objc_threaded:=-lpthread
endif

#
# X Window System headers and libraries
#
X_INCLUDE := -I/usr/X11R6/include
ifeq ($(X_INCLUDE),-INONE)
	X_INCLUDE=
endif
X_LIBS := -L/usr/X11R6/lib
ifeq ($(X_LIBS),-LNONE)
	X_LIBS=
endif
X_PRE_LIBS= -lSM -lICE

#
# Tiff header and library
#
TIFF_INCLUDE := -I/usr/include
ifeq ($(TIFF_INCLUDE),-INONE)
        TIFF_INCLUDE=
endif
TIFF_LIB := -L/usr/lib
ifeq ($(TIFF_LIB),-LNONE)
        TIFF_LIB=
endif

#
# Jpeg header and library
# 
JPEG_INCLUDE := -I/usr/include
ifeq ($(JPEG_INCLUDE),-INONE)
        JPEG_INCLUDE=
endif
JPEG_LIB := -L/usr/lib
ifeq ($(JPEG_LIB),-LNONE)
        JPEG_LIB=
endif
JPEG = 

DPS_DEFINE= -DHAVE_DPS_CLIENT_H=0 -DHAVE_DPS_DPSNXARGS_H=0

# Any user specified libs, like thread libraries
CONFIG_SYSTEM_LIBS = 

#
# Java configuration
#
JAVA_INCLUDE := -I/usr/include/kaffe
ifeq ($(JAVA_INCLUDE),-INONE)
	JAVA_INCLUDE=
endif

JAVAC = /usr/bin/javac

## Local variables:
## mode: makefile
## End:
